<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Euler.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_euler_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Euler.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_euler_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef EULER_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define EULER_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span>framework { <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keyword">class </span>Quaternion;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_euler.html">   22</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_euler.html">Euler</a> {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;            <a class="code" href="classframework_1_1core_1_1_euler.html#a7f34e3a3694894abc3e64adce5f9ab61">Euler</a>(<span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#a2a74eff3712df6dcca757c3d105c2076">roll</a>=0,<span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#af7d5e26735084cdc6160d573b4f23ac9">pitch</a>=0,<span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#ad55508b2ebca2cf4f868b7480dc51dce">yaw</a>=0);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            <a class="code" href="classframework_1_1core_1_1_euler.html#af989d2e25ef2561ecdee62a6f3094815">~Euler</a>();</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            <span class="comment">//todo: passer par un quaternion</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            <span class="comment">//void RotateX(float value);</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <span class="comment">//void RotateXDeg(float value);</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <span class="comment">//void RotateY(float value);</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            <span class="comment">//void RotateYDeg(float value);</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            <span class="comment">//void RotateZ(float value);</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            <span class="comment">//void RotateZDeg(float value);</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_euler.html#aaf6f7cfe97010f45bcdb8f3ad0741071">ToQuaternion</a>(<a class="code" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            <a class="code" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="classframework_1_1core_1_1_euler.html#aaf6f7cfe97010f45bcdb8f3ad0741071">ToQuaternion</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;            <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#a6a36d34db84223011a79c30ea5726bb6">ToDegree</a>(<span class="keywordtype">float</span> radianValue);</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#a96c044183f8a927395fe5015da0ba88c">ToRadian</a>(<span class="keywordtype">float</span> degreeValue);</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#aa3d7b79f2de741df0e9b6fc063d4b403">YawDistanceFrom</a>(<span class="keywordtype">float</span> angle) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div>
<div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_euler.html#a2a74eff3712df6dcca757c3d105c2076">  129</a></span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#a2a74eff3712df6dcca757c3d105c2076">roll</a>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div>
<div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_euler.html#af7d5e26735084cdc6160d573b4f23ac9">  134</a></span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#af7d5e26735084cdc6160d573b4f23ac9">pitch</a>;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div>
<div class="line"><a name="l00139"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_euler.html#ad55508b2ebca2cf4f868b7480dc51dce">  139</a></span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_euler.html#ad55508b2ebca2cf4f868b7480dc51dce">yaw</a>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;            <a class="code" href="classframework_1_1core_1_1_euler.html">Euler</a>&amp; operator=(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_euler.html">Euler</a> &amp;euler);</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    };</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="preprocessor">#endif // EULER_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classframework_1_1core_1_1_quaternion.html">framework::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:20</div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_aa3d7b79f2de741df0e9b6fc063d4b403"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#aa3d7b79f2de741df0e9b6fc063d4b403">framework::core::Euler::YawDistanceFrom</a></div><div class="ttdeci">float YawDistanceFrom(float angle) const </div><div class="ttdoc">Compute yaw distance. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_a7f34e3a3694894abc3e64adce5f9ab61"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#a7f34e3a3694894abc3e64adce5f9ab61">framework::core::Euler::Euler</a></div><div class="ttdeci">Euler(float roll=0, float pitch=0, float yaw=0)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_af989d2e25ef2561ecdee62a6f3094815"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#af989d2e25ef2561ecdee62a6f3094815">framework::core::Euler::~Euler</a></div><div class="ttdeci">~Euler()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_a2a74eff3712df6dcca757c3d105c2076"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#a2a74eff3712df6dcca757c3d105c2076">framework::core::Euler::roll</a></div><div class="ttdeci">float roll</div><div class="ttdoc">roll value </div><div class="ttdef"><b>Definition:</b> Euler.h:129</div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_a96c044183f8a927395fe5015da0ba88c"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#a96c044183f8a927395fe5015da0ba88c">framework::core::Euler::ToRadian</a></div><div class="ttdeci">static float ToRadian(float degreeValue)</div><div class="ttdoc">Convert from degree to radian. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_ad55508b2ebca2cf4f868b7480dc51dce"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#ad55508b2ebca2cf4f868b7480dc51dce">framework::core::Euler::yaw</a></div><div class="ttdeci">float yaw</div><div class="ttdoc">yaw value </div><div class="ttdef"><b>Definition:</b> Euler.h:139</div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html">framework::core::Euler</a></div><div class="ttdoc">Class defining euler angles. </div><div class="ttdef"><b>Definition:</b> Euler.h:22</div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_aaf6f7cfe97010f45bcdb8f3ad0741071"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#aaf6f7cfe97010f45bcdb8f3ad0741071">framework::core::Euler::ToQuaternion</a></div><div class="ttdeci">Quaternion ToQuaternion(void) const </div><div class="ttdoc">Convert to quaternion. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_a6a36d34db84223011a79c30ea5726bb6"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#a6a36d34db84223011a79c30ea5726bb6">framework::core::Euler::ToDegree</a></div><div class="ttdeci">static float ToDegree(float radianValue)</div><div class="ttdoc">Convert from radian to degree. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html_af7d5e26735084cdc6160d573b4f23ac9"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html#af7d5e26735084cdc6160d573b4f23ac9">framework::core::Euler::pitch</a></div><div class="ttdeci">float pitch</div><div class="ttdoc">pitch value </div><div class="ttdef"><b>Definition:</b> Euler.h:134</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_euler_8h.html">Euler.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
